1.0

1.0

post /v1/container-registries

Description

create registry

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260630

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ContainerRegistryCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedContainerRegistryCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/container-registries

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"

Request body

{
    "name": "sample",
    "private_acl_enabled": true,
    "private_acl_resources": [
        {
            "resource_id": "558496f6c49d43459e61e191fb3c08fe",
            "resource_ips": "[]",
            "resource_name": "sample",
            "resource_type": "virtualServer"
        }
    ],
    "public_acl_enabled": true,
    "public_acl_resources": [
        {
            "resource_id": "558496f6c49d43459e61e191fb3c08fe",
            "resource_ips": "[]",
            "resource_name": "sample",
            "resource_type": "virtualServer"
        }
    ],
    "public_endpoint_enabled": true,
    "public_visible_enabled": true,
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 201

{
    "id": "rpqtmqgec3174541bbf77eecf2cd3585",
    "message": "Carpe diem.",
    "state": "Running"
}